[license]

expression = "LicenseRef-NPSL-0.92"
status = [ "not-allowed" ]

# Two known versions, differing only in an instance of "it's"|"its"

url = '''
https://github.com/nmap/nmap/blob/ef8213a36c2e89233c806753a57b5cd473605408/LICENSE
https://github.com/nmap/nmap/blob/608d866fb731ec6b39620be366b5f97da2170730/LICENSE
'''

# Crude markup delimited by double braces to indicate the differences between the versions

text = '''
Nmap Public Source License Version 0.92
For more information on this license, see https://nmap.org/npsl/

0. Preamble

The intent of this license is to establish freedom to share and change
the software regulated by this license under the open source model. It
also includes a Contributor Agreement and disclaims any warranty on
Covered Software. Proprietary software companies wishing to use or
incorporate Covered Software within their programs must contact
Licensor to purchase a separate license. Open source developers who
wish to incorporate parts of Covered Software into free software with
conflicting licenses may write Licensor to request a waiver of terms.

If the Nmap Project (directly or through one of {{it's|its}} commercial
licensing customers) has granted you additional rights to Nmap or Nmap
OEM, those additional rights take precedence where they conflict with
the terms of this license agreement.

This License represents the complete agreement concerning subject
matter hereof. It contains the license terms themselves, but not the
reasoning behind them or detailed explanations. For further
information about this License, see https://nmap.org/npsl/ . That page
makes a good faith attempt to explain this License, but it does not
and can not modify its governing terms in any way.

1. Definitions

* "Contribution" means any work of authorship, including the original
  version of the Work and any modifications or additions to that Work
  or Derivative Works thereof, that is intentionally submitted to
  Licensor by the copyright owner or by an individual or Legal Entity
  authorized to submit on behalf of the copyright owner. For the
  purposes of this definition, "submitted" means any form of
  electronic, verbal, or written communication sent to the Licensor or
  its representatives, including but not limited to communication on
  electronic mailing lists, source code control systems, web sites,
  and issue tracking systems that are managed by, or on behalf of, the
  Licensor for the purpose of discussing and improving the Work, but
  excluding communication that is conspicuously marked or otherwise
  designated in writing by the copyright owner as "Not a
  Contribution."

* "Contributor" means Licensor and any individual or Legal Entity on
  behalf of whom a Contribution has been received by Licensor and
  subsequently incorporated within the Work.

* "Covered Software" means the work of authorship, whether in Source
  or Object form, made available under the License, as indicated by a
  copyright notice that is included in or attached to the work

* "Derivative Work" or "Collective Work" means any work, whether in
  Source or Object form, that is based on (or derived from) the Work
  and for which the editorial revisions, annotations, elaborations, or
  other modifications represent, as a whole, an original work of
  authorship. It includes software as described in Section 3 of this
  License.

* "Executable" means Covered Software in any form other than Source Code.

* "Externally Deploy" means to Deploy the Covered Software in any way
  that may be accessed or used by anyone other than You, used to
  provide any services to anyone other than You, or used in any way to
  deliver any content to anyone other than You, whether the Covered
  Software is distributed to those parties, made available as an
  application intended for use over a computer network, or used to
  provide services or otherwise deliver content to anyone other than
  You.

* "GPL" means the GNU General Public License Version 2, as published
  by the Free Software Foundation and provided in Exhibit A.

* "Legal Entity" means the union of the acting entity and all other
  entities that control, are controlled by, or are under common
  control with that entity. For the purposes of this definition,
  "control" means (i) the power, direct or indirect, to cause the
  direction or management of such entity, whether by contract or
  otherwise, or (ii) ownership of fifty percent (50%) or more of the
  outstanding shares, or (iii) beneficial ownership of such entity.

* "License" means this document, including Exhibits.

* "Licensor" means Insecure.Com LLC and its successors and assigns.

* "Main License Body" means all of the terms of this document,
  excluding Exhibits.

* "You" (or "Your") means an individual or Legal Entity exercising
  permissions granted by this License.

2. General Terms

Covered Software is licensed to you under the terms of the GPL
(Exhibit A), with all the exceptions, clarifications, and additions
noted in this Main License Body. Where the terms in this Main License
Body conflict in any way with the GPL, the Main License Body terms
shall take precedence. These additional terms mean that You may not
distribute Covered Software or Derivative Works under plain GPL terms
without special permission from Licensor.

You are not required to accept this License. However, nothing else
grants You permission to use, copy, modify or distribute the software
or its derivative works. These actions are prohibited by law if You do
not accept this License. Therefore, by modifying, copying or
distributing the software (or any work based on the software), You
indicate your acceptance of this License to do so, and all its terms
and conditions. In addition, you agree to the terms of this License by
clicking the Accept button or downloading the software.

3. Derivative Works

This License (including the GPL portion) places important restrictions
on derived works. Licensor interprets that term quite broadly. To
avoid any misunderstandings, we consider software to constitute a
"derivative work" of Covered Software for the purposes of this license
if it does any of the following:

* Integrates source code from Covered Software

* Reads or includes Covered Software data files, such as nmap-os-db or
  nmap-service-probes.

* Is designed specifically to execute Covered Software and parse the
  results (as opposed to typical shell or execution-menu apps, which
  will execute anything you tell them to).

* Includes Covered Software in a proprietary executable installer. The
  installers produced by InstallShield are an example of
  this. Including Nmap with other software in compressed or archival
  form does not trigger this provision, provided appropriate open
  source decompression or de-archiving software is widely available
  for no charge. For the purposes of this license, an installer is
  considered to include Covered Software even if it actually retrieves
  a copy of Covered Software from another source during runtime (such
  as by downloading it from the Internet).

* Links (statically or dynamically) to a library which does any of the
  above

* Executes a helper program, module, or script to do any of the above.
  This list is not exclusive, but is meant to clarify Licensor's
  intentions with some common examples. Distribution of any works
  which meet these criteria must be under the terms of this license
  (including this Main License Body and GPL), with no additional
  conditions or restrictions. They must abide by all restrictions that
  the GPL places on derivative or collective works, including the
  requirements for distributing their source code and allowing
  royalty-free redistribution.

4. Contributor Agreement (Grant of Copyright and Patent Licenses)

Each Contributor hereby grants to Licensor a perpetual, worldwide,
non-exclusive, no-charge, royalty-free, irrevocable copyright license
to reproduce, prepare Derivative Works of, publicly display, publicly
perform, sublicense, and distribute the Contribution and such
Derivative Works in Source or Object form.

Each Contributor hereby grants to You and Licensor a perpetual,
worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except
as stated in this section) patent license to make, have made, use,
offer to sell, sell, import, and otherwise transfer the Work, where
such license applies only to those patent claims licensable by such
Contributor that are necessarily infringed by their Contribution(s)
alone or by combination of their Contribution(s) with the Work to
which such Contribution(s) was submitted. If You institute patent
litigation against any entity (including a cross-claim or counterclaim
in a lawsuit) alleging that the Work or a Contribution incorporated
within the Work constitutes direct or contributory patent
infringement, then any patent licenses granted to You under this
License for that Work shall terminate as of the date such litigation
is filed.

Contributors may impose different terms on their Contributions by
stating those terms in writing at the time the Contribution is
made. Contributors may withhold all authority from Licensor to
incorporate submissions by conspicuously marking or otherwise
designating them in writing as "Not a Contribution" at the time they
make the work available.

5. Disclaimer of Warranty and Limitation of Liability

Unless required by applicable law or agreed to in writing, Licensor
provides the Covered Software (and each Contributor provides its
Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS
OF ANY KIND, either express or implied, including, without limitation,
any warranties or conditions of TITLE, NON-INFRINGEMENT,
MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely
responsible for determining the appropriateness of using or
redistributing the Covered Software and assume any risks associated
with Your exercise of permissions under this License.

In no event and under no legal theory, whether in tort (including
negligence), contract, or otherwise, unless required by applicable law
(such as deliberate and grossly negligent acts) or agreed to in
writing, shall any Contributor be liable to You for damages, including
any direct, indirect, special, incidental, or consequential damages of
any character arising as a result of this License or out of the use or
inability to use the Covered Software (including but not limited to
damages for loss of goodwill, work stoppage, computer failure or
malfunction, or any and all other commercial damages or losses), even
if such Contributor has been advised of the possibility of such
damages.

6. External Deployment

If You Externally Deploy Covered Software, such as hosting a website
designed to execute Nmap scans for users, the system and its
documentation must, if technically feasible, prominently display a
notice stating that the system uses the Nmap Security Scanner to
perform its tasks. If technically feasible, the notice must contain a
hyperlink to https://nmap.org/ or provide that URL in the text.

7. Trademarks

This License does not grant permission to use the trade names,
trademarks, service marks, or product names of the Licensor, except as
required for reasonable and customary use in describing the origin of
the Covered Software.

8. Termination for Patent Action

This License shall terminate automatically and You may no longer
exercise any of the rights granted to You by this License as of the
date You commence an action, including a cross-claim or counterclaim,
against Licensor or any licensee alleging that the Covered Software
infringes a patent. This termination provision shall not apply for an
action alleging patent infringement by combinations of the Covered
Software with other software or hardware.

9. Jurisdiction, Venue and Governing Law

This License is governed by the laws of the State of Washington and
the intellectual property laws of the United States of America,
excluding the jurisdiction's conflict-of-law provisions. Any
litigation or other dispute resolution between You and Licensor
relating to this License shall take place in the Northern District of
California, and You and Licensor hereby consent to the personal
jurisdiction of, and venue in, the state and federal courts within
that District with respect to this License. The application of the
United Nations Convention on Contracts for the International Sale of
Goods is expressly excluded.

10. Npcap and the Official Nmap Windows Builds

The official Windows Nmap builds includes the Npcap driver and library
(https://npcap.org) for packet capture and transmission on
Windows. That software is under its own separate license terms rather
than this license. Therefore anyone wishing to use or redistribute
both pieces of software must comply with both licenses. Since Npcap
does not allow for redistribution without special permission, the
official Nmap Windows builds which include Npcap may not be
redistributed without special permission. Such permission can be
requested by email to sales@nmap.com.

11. Permission to link with OpenSSL

Licensor grants permission to link Covered Software with any version
of the OpenSSL library from OpenSSL.Org, and distribute linked
combinations including the two (assuming such distribution is
otherwise allowed by this agreement). You must obey this License in
all respects for all code used other than OpenSSL.

12. Waiver; Construction

Failure by Licensor or any Contributor to enforce any provision of
this License will not be deemed a waiver of future enforcement of that
or any other provision. Any law or regulation which provides that the
language of a contract shall be construed against the drafter will not
apply to this License.

13. Enforceability

If any provision of this License is invalid or unenforceable under
applicable law, it shall not affect the validity or enforceability of
the remainder of the terms of this License, and without further action
by the parties hereto, such provision shall be reformed to the minimum
extent necessary to make such provision valid and enforceable.

Exhibit A. The GNU General Public License Version 2
GNU GENERAL PUBLIC LICENSE
Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc.  
51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.
Preamble

The licenses for most software are designed to take away your freedom
to share and change it. By contrast, the GNU General Public License is
intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users. This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it. (Some other Free Software Foundation software is covered by
the GNU Lesser General Public License instead.) You can apply it to
your programs, too.

When we speak of free software, we are referring to freedom, not
price. Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the
rights. These restrictions translate to certain responsibilities for
you if you distribute copies of the software, or if you modify it.

For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have. You must make sure that they, too, receive or can get the
source code. And you must show them these terms so they know their
rights.

We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software. If the software is modified by someone else and passed on,
we want its recipients to know that what they have is not the
original, so that any problems introduced by others will not reflect
on the original authors' reputations.

Finally, any free program is threatened constantly by software
patents. We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary. To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at
all.

The precise terms and conditions for copying, distribution and
modification follow.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License applies to any program or other work which contains a
notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License. The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language. (Hereinafter, translation is included without limitation in
the term "modification".) Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope. The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the Program
(independent of having been made by running the Program). Whether that
is true depends on what the Program does.

1. You may copy and distribute verbatim copies of the Program's source
code as you receive it, in any medium, provided that you conspicuously
and appropriately publish on each copy an appropriate copyright notice
and disclaimer of warranty; keep intact all the notices that refer to
this License and to the absence of any warranty; and give any other
recipients of the Program a copy of this License along with the
Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a
fee.

2. You may modify your copy or copies of the Program or any portion of
it, thus forming a work based on the Program, and copy and distribute
such modifications or work under the terms of Section 1 above,
provided that you also meet all of these conditions:

a) You must cause the modified files to carry prominent notices
stating that you changed the files and the date of any change.

b) You must cause any work that you distribute or publish, that in
whole or in part contains or is derived from the Program or any part
thereof, to be licensed as a whole at no charge to all third parties
under the terms of this License.

c) If the modified program normally reads commands interactively when
run, you must cause it, when started running for such interactive use
in the most ordinary way, to print or display an announcement
including an appropriate copyright notice and a notice that there is
no warranty (or else, saying that you provide a warranty) and that
users may redistribute the program under these conditions, and telling
the user how to view a copy of this License. (Exception: if the
Program itself is interactive but does not normally print such an
announcement, your work based on the Program is not required to print
an announcement.)

These requirements apply to the modified work as a whole. If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works. But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote
it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

a) Accompany it with the complete corresponding machine-readable
source code, which must be distributed under the terms of Sections 1
and 2 above on a medium customarily used for software interchange; or,

b) Accompany it with a written offer, valid for at least three years,
to give any third party, for a charge no more than your cost of
physically performing source distribution, a complete machine-readable
copy of the corresponding source code, to be distributed under the
terms of Sections 1 and 2 above on a medium customarily used for
software interchange; or,

c) Accompany it with the information you received as to the offer to
distribute corresponding source code. (This alternative is allowed
only for noncommercial distribution and only if you received the
program in object code or executable form with such an offer, in
accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it. For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable. However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License. Any attempt otherwise
to copy, modify, sublicense or distribute the Program is void, and
will automatically terminate your rights under this License. However,
parties who have received copies, or rights, from you under this
License will not have their licenses terminated so long as such
parties remain in full compliance.

5. You are not required to accept this License, since you have not
signed it. However, nothing else grants you permission to modify or
distribute the Program or its derivative works. These actions are
prohibited by law if you do not accept this License. Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions. You may not impose any further
restrictions on the recipients' exercise of the rights granted
herein. You are not responsible for enforcing compliance by third
parties to this License.

7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License. If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all. For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices. Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded. In such case, this License incorporates
the limitation as if written in the body of this License.

9. The Free Software Foundation may publish revised and/or new
versions of the General Public License from time to time. Such new
versions will be similar in spirit to the present version, but may
differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program
specifies a version number of this License which applies to it and
"any later version", you have the option of following the terms and
conditions either of that version or of any later version published by
the Free Software Foundation. If the Program does not specify a
version number of this License, you may choose any version ever
published by the Free Software Foundation.

10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the
author to ask for permission. For software which is copyrighted by the
Free Software Foundation, write to the Free Software Foundation; we
sometimes make exceptions for this. Our decision will be guided by the
two goals of preserving the free status of all derivatives of our free
software and of promoting the sharing and reuse of software generally.

NO WARRANTY

11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO
WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE
LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS
AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE
PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME
THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN
WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY
AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU
FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE
PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING
RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A
FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF
SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH
DAMAGES.

END OF TERMS AND CONDITIONS

[For brevity, we've cut out the GPL's final section on "How to Apply
Tehse Terms to Your New Program", but you can find that at
https://www.gnu.org/licenses/gpl-2.0.html#SEC4 ]
'''

[fedora]

legacy-name = [
    "Nmap Public Source License Version 0.92"
]

legacy-abbreviation = [
    "NPSL" 
]

